PipeWire 1.6.5

Loading...
Searching...
No Matches
raw-types.h File Reference
SPA » Parameters

spa/param/audio/raw-types.h More...

Go to the source code of this file.

## Macros
#define | SPA_API_AUDIO_RAW_TYPES static inline
#define | SPA_TYPE_INFO_AudioFormat SPA_TYPE_INFO_ENUM_BASE "AudioFormat"
#define | SPA_TYPE_INFO_AUDIO_FORMAT_BASE SPA_TYPE_INFO_AudioFormat ":"
#define | SPA_TYPE_INFO_AudioFlags SPA_TYPE_INFO_FLAGS_BASE "AudioFlags"
#define | SPA_TYPE_INFO_AUDIO_FLAGS_BASE SPA_TYPE_INFO_AudioFlags ":"
#define | SPA_TYPE_INFO_AudioChannel SPA_TYPE_INFO_ENUM_BASE "AudioChannel"
#define | SPA_TYPE_INFO_AUDIO_CHANNEL_BASE SPA_TYPE_INFO_AudioChannel ":"
#define | SPA_TYPE_INFO_AudioVolumeRampScale SPA_TYPE_INFO_ENUM_BASE "AudioVolumeRampScale"
#define | SPA_TYPE_INFO_AUDIO_VOLUME_RAMP_SCALE_BASE SPA_TYPE_INFO_AudioVolumeRampScale ":"

## Functions
SPA_API_AUDIO_RAW_TYPES uint32_t | spa_type_audio_format_from_short_name (const char *name)
SPA_API_AUDIO_RAW_TYPES const char * | spa_type_audio_format_to_short_name (uint32_t type)
SPA_API_AUDIO_RAW_TYPES uint32_t | spa_type_audio_channel_from_short_name (const char *name)
SPA_API_AUDIO_RAW_TYPES const char * | spa_type_audio_channel_to_short_name (uint32_t type)
SPA_API_AUDIO_RAW_TYPES const char * | spa_type_audio_channel_make_short_name (uint32_t type, char *buf, size_t size, const char *unknown)

## Variables
static const struct spa_type_info | spa_type_audio_format []
static const struct spa_type_info | spa_type_audio_flags []
static const struct spa_type_info | spa_type_audio_channel []
static const struct spa_type_info | spa_type_audio_volume_ramp_scale []

## Detailed Description

spa/param/audio/raw-types.h